Bitdeer Technologies Group

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bitdeer-technologies-group/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitdeer-technologies-group/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1770681600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.bitdeer.com/news-releases/news-release-details/bitdeer-announces-january-2026-production-and-operations-update",
    "holding_balance": 1530.0,
    "holding_net_change": -487.0,
    "transaction_value_usd": 33490585.79,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1770940800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/BitdeerOfficial",
    "holding_balance": 943.1,
    "holding_net_change": -179.9,
    "transaction_value_usd": 12386834.6,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1771632000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/BitdeerOfficial/status/2025136775266550191",
    "holding_balance": 0.0,
    "holding_net_change": -943.1,
    "transaction_value_usd": 64099036.392,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitdeer-technologies-group/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    0.0
  ],
  [
    1787011200000,
    0.0
  ],
  [
    1787097600000,
    0.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bitdeer-technologies-group/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    0.0
  ],
  [
    1787011200000,
    0.0
  ],
  [
    1787097600000,
    0.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bitdeer-technologies-group/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 8.66,
    "date": "2026-08-14",
    "high": 9.191,
    "open": 8.84,
    "close": 9.13,
    "volume": 15853600
  },
  {
    "low": 9.09,
    "date": "2026-08-17",
    "high": 9.7,
    "open": 9.575,
    "close": 9.39,
    "volume": 15268800
  },
  {
    "low": 8.645,
    "date": "2026-08-18",
    "high": 9.21,
    "open": 9.03,
    "close": 9.0,
    "volume": 20281252
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bitdeer-technologies-group/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.26,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.3375
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitdeer-technologies-group/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -20.84,
  "six_month_return": -5.06,
  "three_month_return": -31.56
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitdeer-technologies-group/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}